You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@couchdb.apache.org by wi...@apache.org on 2022/09/28 08:56:26 UTC

[couchdb-helm] 01/02: add helpers to create and check inventory for releases

This is an automated email from the ASF dual-hosted git repository.

willholley pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/couchdb-helm.git

commit 5733350be097d14a1003c3a7b517ce151985af0d
Author: Cole Arendt <co...@outlook.com>
AuthorDate: Wed May 25 10:15:59 2022 -0400

    add helpers to create and check inventory for releases
---
 docs/check-inventory.sh | 29 +++++++++++++++++++++++++++++
 docs/get-inventory.sh   | 14 ++++++++++++++
 docs/inventory.txt      | 19 +++++++++++++++++++
 3 files changed, 62 insertions(+)

diff --git a/docs/check-inventory.sh b/docs/check-inventory.sh
new file mode 100755
index 0000000..68dc7f4
--- /dev/null
+++ b/docs/check-inventory.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+set -euxo pipefail
+
+found_probs=0
+cat inventory.txt | while read line; do
+  tarball=$(echo $line | cut -d: -f 1)
+  gitsha=$(echo $line | cut -d' ' -f 2)
+  cversion=${tarball/couchdb-/}
+  cversion=${cversion/.tgz/}
+  echo "--> Checking that '$gitsha' matches chart version '$cversion'";
+  
+  cversion_actual=$(git show $gitsha:../couchdb/Chart.yaml | grep '^version:')
+  diff <(echo "$cversion_actual") <(echo "version: $cversion")
+  res=$?
+  if [[ $res -gt 0 ]]; then
+    echo "--> Uh oh! Git SHA '$gitsha' provided version '$cversion_actual', but tarball had '$cversion'"
+    found_probs=1
+  fi;
+
+  # TODO: could check that file SHAs match w/ the tarballs... but this is a best effort anyways...
+done
+
+echo
+if [[ found_probs -eq 0 ]]; then
+  echo '--> Success! All checks went well!'
+else
+  echo '--> PROBLEMS FOUND!'
+fi
diff --git a/docs/get-inventory.sh b/docs/get-inventory.sh
new file mode 100755
index 0000000..1edb659
--- /dev/null
+++ b/docs/get-inventory.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -euxo pipefail
+
+echo '--> Clearing past inventory.txt'
+rm -f inventory.txt
+
+echo '--> Building inventory.txt with files and commits'
+
+# generate the list of backfill commits
+# assuming that the commit that added the tarball also has the appropriate state committed to the repo
+for f in `ls . | grep -v '.*backfill.*' | grep -v '.*inventory.*' | grep -v '.*index.*'`; do echo $f: `git log --oneline -- $f | head -1` >> inventory.txt; done
+
+echo '--> Done!'
diff --git a/docs/inventory.txt b/docs/inventory.txt
new file mode 100644
index 0000000..04d6206
--- /dev/null
+++ b/docs/inventory.txt
@@ -0,0 +1,19 @@
+couchdb-2.2.0.tgz: 3e2f02e Address review comments
+couchdb-2.3.0.tgz: 40832bb Add configurable path
+couchdb-2.4.0.tgz: d6fec58 Bump chart version to 2.4.0
+couchdb-2.4.1.tgz: ad5417d Bugfix: fixes wrong Values iteration in ingress host
+couchdb-3.0.0.tgz: b46f424 Require a server instance UUID (#15)
+couchdb-3.1.0.tgz: bbf7201 Bump chart version
+couchdb-3.2.0.tgz: d8a2194 Bump chart version to 3.2.0
+couchdb-3.3.0.tgz: bb17404 Prehashed pw (#26)
+couchdb-3.3.1.tgz: 832994c Publish 3.3.1 chart
+couchdb-3.3.2.tgz: fc411c1 Update chart and index
+couchdb-3.3.3.tgz: da1d946 Bump chart version and publish
+couchdb-3.3.4.tgz: a75233c Bump default CouchDB version to 3.1.1
+couchdb-3.4.0.tgz: 252e73b Bump chart to 3.4.0 CouchDB to 3.2.0
+couchdb-3.4.1.tgz: 6e46579 Publish updated chart
+couchdb-3.5.0.tgz: 9f10dad Add topologySpreadConstraints parameter to be used in StatefulSet (#59)
+couchdb-3.5.1.tgz: e727842 Bump chart version and publish
+couchdb-3.5.2.tgz: dc2899b Bump chart version and publish
+couchdb-3.6.0.tgz: 22761f9 Add helm post-install hook to automate placement tagging in CouchDB nodes (#66)
+couchdb-3.6.1.tgz: bd9bce1 Bump chart version and publish